
Redmine - Patch #2456

Dont require a Description for every issue

2009-01-07 14:24 - Gerrit Kaiser

Status: Closed Start date: 2009-01-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8.1   

Description

On our projects we like to create very fine-grained issues that sometimes don't need a description. Another use-case is when I just

want to scribble down an idea (and maybe fire off an email to redmine from my phone).

Often, we found ourselves either repeating the subject or putting nonsense content into the description field. This quickly got

annoying, so I removed that requirement (you can fetch the change from a branch on github). This will reduce the effort to create a

ticket, hopefully increasing the number of reported issues and fixed bugs in the process.

A technical requirement like that can never enforce good descriptions as it can always be circumvented. Projects that require a

full-blown detailed description with every issue need policies in place and enforce them manually anyway. I think Redmine shouldn't

force this on projects that can get by without!

I'd be interested in hearing other opinions.

Related issues:

Related to Redmine - Feature #1014: Make issue description non-required field Closed 2008-04-08

Associated revisions

Revision 2246 - 2009-01-07 20:47 - Jean-Philippe Lang

Makes issue description a non-required field (#2456).

Revision 2310 - 2009-01-24 14:01 - Jean-Philippe Lang

Merged r2246 and r2248 from trunk (#2456).

History

#1 - 2009-01-07 17:51 - Jack Christensen

+1

I find myself putting a period in as a filler description on a lot of issues.

#2 - 2009-01-07 19:36 - Maxim Krušina

+10 please, definitly create option to set description field like optinoal... i'm filling nonsence here moe that 10x per day ;)

imho, it can be turned on/off id global config

#3 - 2009-01-07 20:47 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Target version set to 0.9.0

Change done in r2246. Description is no longer a required field.

IMHO, a setting to turn on/off this behaviour is not that usefull.

#4 - 2009-01-07 21:50 - Maxim Krušina

great, thanx! ;)

#5 - 2009-01-16 06:05 - Ewan Makepeace

+1
http://github.com/tricycle/redmine/commits/optional_description
https://www.redmine.org/projects/redmine/repository/svn/revisions/2246


Have not seen a good enough reason to upgrade for 5 months or so - but this change is worth upgrading to trunk for :-)

#6 - 2009-01-24 13:57 - Jean-Philippe Lang

- Target version changed from 0.9.0 to 0.8.1
